# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /feedstock/recipe, last modified Tue Apr  5 09:37:18 2022
# ------------------------------------------------

package:
  name: cookiecutter
  version: 1.7.3
source:
  sha256: 6b9a4d72882e243be077a7397d0f1f76fe66cf3df91f3115dbb5330e214fa457
  url: https://pypi.io/packages/source/c/cookiecutter/cookiecutter-1.7.3.tar.gz
build:
  entry_points:
    - cookiecutter = cookiecutter.cli:main
  noarch: python
  number: '0'
  script: /opt/conda/conda-bld/cookiecutter_1649151442564/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_/bin/python
    -m pip install . --no-deps --ignore-installed --no-cache-dir -vvv
  string: pyhd3eb1b0_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2022.3.29 h06a4308_0
    - certifi 2021.5.30 py310h06a4308_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - libuuid 1.0.3 h7f8727e_2
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1n h7f8727e_0
    - pip 21.2.4 py310h06a4308_0
    - python 3.10.4 h12debd9_0
    - readline 8.1.2 h7f8727e_1
    - setuptools 58.0.4 py310h06a4308_0
    - sqlite 3.38.2 hc218d9a_0
    - tk 8.6.11 h1ccaba5_0
    - tzdata 2022a hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7f8727e_4
  run:
    - binaryornot >=0.4.4
    - click >=7.0
    - jinja2 >=2.7,<4.0.0
    - jinja2-time >=0.2.0
    - poyo >=0.5.0
    - python
    - python-slugify >=4.0.0
    - requests >=2.23.0
    - six >=1.10
test:
  commands:
    - python -m pip check
    - cookiecutter --version
    - cookiecutter --help
    - py.test --cov=cookiecutter -v -k 'not make_sure_path_exists'
  requires:
    - freezegun
    - git
    - pip
    - pytest
    - pytest-cov
    - pytest-mock
    - python 3.*
  source_files:
    - tests
about:
  dev_url: https://github.com/cookiecutter/cookiecutter
  doc_source_url: https://github.com/cookiecutter/cookiecutter/tree/master/docs
  doc_url: https://cookiecutter.readthedocs.io
  home: https://github.com/cookiecutter/cookiecutter
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: 'A command-line utility that creates projects from cookiecutters (project
    templates), e.g. creating a Python package project from a Python package project
    template.

    '
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: c9d19f6f-5eeb-44db-ba96-b07c9ec230d0
  recipe-maintainers:
    - bollwyvl
    - cadair
    - jakirkham
    - pydanny
  remote_url: git@github.com:AnacondaRecipes/cookiecutter-feedstock.git
  sha: 02bf290f8f36f4f88a609c0fd39216dbe9058eb7
